Last Comment Bug 353270 - Give read/write SVN access to Pascal Chevrel
: Give read/write SVN access to Pascal Chevrel
Status: RESOLVED FIXED
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 21:57 PDT by Wil Clouser [:clouserw]
Modified: 2010-05-09 14:52 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Public SSH key (404 bytes, text/plain)
2006-09-20 14:44 PDT, Pascal Chevrel:pascalc(PTO until Sept 2)
no flags Details

Description Wil Clouser [:clouserw] 2006-09-18 21:57:50 PDT
Please give pascalc svn access.

Thanks.
Comment 1 Aravind Gottipati [:aravind] 2006-09-20 12:15:49 PDT
I don't see a despot/cvs account for this.  

We should have a signed CVS contributor form before I can give write access to the repo.

Over to Marcia.  

Also we need the users public ssh key.
Comment 2 Marcia Knous [:marcia - use ni] 2006-09-20 12:17:29 PDT
Form is located at www.mozilla.org/hacking/form.html.
Comment 3 Pascal Chevrel:pascalc(PTO until Sept 2) 2006-09-20 14:44:49 PDT
Created attachment 239422 [details]
Public SSH key

Find attached my SSH key
Comment 4 Pascal Chevrel:pascalc(PTO until Sept 2) 2006-09-20 14:53:33 PDT
Will this red tape be necessary as well for all the volunteer translators or paid translators from translation agencies that will need to access the html files to update pages on mozilla.com staging server ?
Comment 5 Marcia Knous [:marcia - use ni] 2006-09-21 14:30:13 PDT
Pascal: I am guessing yes, since you will be accessing the repository. All of the individuals that do so must fill out the form. If you don't want to fax it, it can be sent via email.

(In reply to comment #4)
> Will this red tape be necessary as well for all the volunteer translators or
> paid translators from translation agencies that will need to access the html
> files to update pages on mozilla.com staging server ?
> 

Comment 6 Pascal Chevrel:pascalc(PTO until Sept 2) 2006-09-21 18:10:43 PDT
A big part of the reason why we wanted SVN for mozilla.com localization was to make it easier for localizers with a simple publishing process not too different from what they have in Mozilla Europe (2/3 of supported languages are European ones).

How can this ssh key + fax work given the following constraints :
- most of the translators have never heard about SSH (and use windows), we are looking for people with writing skills, not computing skills
- we have in mozilla europe svn accounts shared by teams, not by individuals (mozilla.dk, firefox.no, frenchmozilla), there is even a mozilla.com svn account for your IT team :)
- site localizers change a *lot* over time. We need to be able to replace a translator by another one from one day to the other, especially when we have a new product release and some translators are unavailable.
- we have 40 languages, probably 50+ in the future, count 2 people on average per language and at least one person change per year, that is probably about 100 people to give access just for the first year. Is it manageable for you?


I can understand this process for the CVS developpers repository where the mozilla source code is, but localizers will only get access to html files in their language on the staging server, not source code.

In short, I think it's not going to work, the most similar project to the multilingual mozilla.com is the MDC. If the MDC required providing a SSH key and signing and faxing a form to be able to participate, I don't think it would exist in other languages than English.  I am not even sure that our volunteers  will accept to send the fax, once they have read it they will just tell me that they don't want to "hack the code" and that it looks threatening.

I'll send you the fax soon of course.
Comment 7 Paul Kim 2006-09-21 19:50:47 PDT
Hey folks --

I've been working with Pascal the past 6 weeks prepping for l10n of web content. He raises some pretty critical issues that I think need to get addressed asap regarding localizer access to the SVN repository for the in-product pages they will be translating for Firefox 2. 

Put simply -- if there is a way to modify the process for checking pages into SVN for the in-product pages that can accomodate the problems that Pascal has identified, it will greatly increase the likelihood that we'll be able to hit our deadlines for the l10n of these pages. Pascal's had a ton of experience working with localizers and I take his feedback seriously about the issues the current process for getting access to check in pages will cause.

I also recognize the need to balance this with our existing processes. 

I'm cc:ing Chris Beard for input here.

Thanks,
Paul
Comment 8 Chris Beard 2006-09-21 22:16:18 PDT
I think we probably need a different process here given that the content being managed and committed by contributors is not going to be licensed under the tri-license nor does it have the same prior art or ownership restrictions since it is not source code. I'll follow up with our legal team and see what they suggest.
Comment 9 Justin Fitzhugh 2006-10-03 17:13:19 PDT
Re-assigning to ops to create the account.  SVN accounts for moz.com will need approval from pkim (documented process is coming) and will not be subject to the normal cvs account procedure - this has been cleared with legal, beard, schrep and I.  He will handle the approvals going forward.  Please give pascal svn access.
Comment 10 Marcia Knous [:marcia - use ni] 2006-10-03 17:17:51 PDT
Are you going to create a new component for these bugs are assigned directly to pkim?

(In reply to comment #9)
> Re-assigning to ops to create the account.  SVN accounts for moz.com will need
> approval from pkim (documented process is coming) and will not be subject to
> the normal cvs account procedure - this has been cleared with legal, beard,
> schrep and I.  He will handle the approvals going forward.  Please give pascal
> svn access.
> 

Comment 11 Justin Fitzhugh 2006-10-03 22:27:02 PDT
(In reply to comment #10)
> Are you going to create a new component for these bugs are assigned directly to
> pkim?

They should be entered to server-ops, then assigned to pkim for approval.  If this becomes cumbersome, we can add another component, but this will be a very small subset of the svn/cvs requests.
Comment 12 Dan Serri 2006-10-04 14:27:51 PDT
Spoke to Rochelle about VPN access and what resources she would need to access from outside the company. Would need VPN access if accessing any of the build servers or file server - however mail and intranet will work without VPN access...

Comment 13 Dan Serri 2006-10-04 14:29:14 PDT
Commented on wrong bug... sorry...
Comment 14 Paul Kim 2006-10-04 16:38:29 PDT
Process documented here: http://www.mozilla.org/hacking/getting-svn-write-access.html (should be live in a few minutes)
Comment 15 Paul Kim 2006-10-06 07:12:06 PDT
Checking in on this -- has Pascal's SVN account been created?
Comment 16 Jeremy Orem [:oremj] 2006-10-08 11:38:58 PDT
Pascal now has an svn account with access to the moz.com repo.
Comment 17 Pascal Chevrel:pascalc(PTO until Sept 2) 2006-10-08 15:23:51 PDT
what is the address of the svn repository, user name and svn syntax I should use to check out the files?

Note You need to log in before you can comment on or make changes to this bug.